Texa Desk Application API · Contacts
Create contact inbox
POST/
Create a contact inbox record for an inbox
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idnumberrequiredID of the contact
Body application/json
inbox_idnumberrequiredThe ID of the inbox
source_idstringContact Inbox Source Id
Responses
200Success
source_idstringContact Inbox Source Id
inboxobjectinbox.idnumberID of the inbox
inbox.avatar_urlstringThe avatar image of the inbox
inbox.channel_idnumberThe ID of the channel
inbox.namestringThe name of the inbox
inbox.channel_typestringThe type of the inbox
inbox.providerstringThe provider of the inbox
401Authentication error
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring422Incorrect payload
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring